Чат  ::   FAQ  ::   Поиск  ::   Регистрация  ::   Вход

Не устанавливается Dahdi Ubuntu 16.04

Проблемы и их решения Asterisk как такового

Модератор: april22

Не устанавливается Dahdi Ubuntu 16.04

Сообщение Unixdifferent » 12 май 2018, 16:53

Добрый день, ночь, вечер! :)
Прошу помощи в решении проблемы!
Версия ОС
Distributor ID: Ubuntu
Description: Ubuntu 16.04.4 LTS
Release: 16.04
Codename: xenial
Во время установки Dahdi ОС UBUNTU 16.04 ошибка: You do not appear to have the sources for the 4.4.0-124-generic kernel installed
Как я это делаю:
wget http://downloads.asterisk.org/pub/telep ... ent.tar.gz
tar -xvf dahdi-linux-complete-current.tar.gz
cd dahdi-linux-complete-2.11.1+2.11.1/
make all
и в ответ получаю
make -C linux all
make[1]: вход в каталог «/usr/src/dahdi-linux-complete-2.11.1+2.11.1/linux»
make -C drivers/dahdi/firmware firmware-loaders
make[2]: вход в каталог «/usr/src/dahdi-linux-complete-2.11.1+2.11.1/linux/drivers/dahdi/firmware»
make[2]: выход из каталога «/usr/src/dahdi-linux-complete-2.11.1+2.11.1/linux/drivers/dahdi/firmware»
You do not appear to have the sources for the 4.4.0-124-generic kernel installed.
Makefile:71: ошибка выполнения рецепта для цели «modules»
make[1]: *** [modules] Ошибка 1
make[1]: выход из каталога «/usr/src/dahdi-linux-complete-2.11.1+2.11.1/linux»
Makefile:9: ошибка выполнения рецепта для цели «all»
make: *** [all] Ошибка 2

Предполагаю что это из-за несовместимости , если это так, тогда как понять какую версию ставить, если с совместимостью системы ничего общего нет то как исправить подскажите!
Заранее спасибо за ответы!:)
Еще забыл , предложения идти в гугл хороши, но решения не нашел, по этой причине обращаюсь к вам Уважаемые форумчане, а так же великие гуру *
Unixdifferent
 
Сообщений: 4
Зарегистрирован: 12 май 2018, 16:37

Re: Не устанавливается Dahdi Ubuntu 16.04

Сообщение ddkprog » 12 май 2018, 18:14

http://translate.google.com.ua/#en/ru/You do not appear to have the sources for the 4.4.0-124-generic kernel installed.
ddkprog
 

Re: Не устанавливается Dahdi Ubuntu 16.04

Сообщение Unixdifferent » 14 май 2018, 09:36

переводчиком я умею пользоваться спасибо :) а что это значит и как исправить ?

Хорошо значит мне под мое ядро надо устанавливать, подскажите как найти версию dahdi, точнее где найти описание версий dahdi и к чему они подходят!??

и вообще uname -a
Linux asterisk 4.4.0-124-generic #148-Ubuntu SMP Wed May 2 13:00:18 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
как бы это ядро и есть, что еще может быть?
Unixdifferent
 
Сообщений: 4
Зарегистрирован: 12 май 2018, 16:37

Re: Не устанавливается Dahdi Ubuntu 16.04

Сообщение Zavr2008 » 14 май 2018, 12:02

С такими познаниями лучше вообще DAHDI не устанавливать - поставить внешний шлюз..
Asterisk-совместимые Российские SIP/E1 шлюзы Alvis. Для форумчан скидки ! В цены входит настройка связи с Asterisk! Помогаем в настройке TDM АТС: TDA/TDE/LDK и др.
Аватар пользователя
Zavr2008
 
Сообщений: 1168
Зарегистрирован: 27 янв 2011, 01:35

Re: Не устанавливается Dahdi Ubuntu 16.04

Сообщение ded » 14 май 2018, 12:10

Unixdifferent писал(а):и вообще uname -a
Linux asterisk 4.4.0-124-generic #148-Ubuntu SMP Wed May 2 13:00:18 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
как бы это ядро и есть, что еще может быть?

Вы не умеете пользоваться переводчиком Гугля, и/или не понимаете что он вам говорит.
You do not appear to have the sources for the 4.4.0-124-generic kernel installed. - у вас нет инсталлированных сорцев ядра 4.4.0-124-generic. А ядро как бы есть, да. Разницу понимаете?
Если будете тупить, то вас будут или посылать, или игнорировать.
Техучёбы с рассказом "Как устроен мир Линукс" с картинками не будет.
ded
 
Сообщений: 13236
Зарегистрирован: 26 авг 2010, 19:00

Re: Не устанавливается Dahdi Ubuntu 16.04

Сообщение Unixdifferent » 14 май 2018, 15:14

Zavr2008 писал(а):С такими познаниями лучше вообще DAHDI не устанавливать - поставить внешний шлюз..

ага спасибо как бы сам решу что мне надо :)
Unixdifferent
 
Сообщений: 4
Зарегистрирован: 12 май 2018, 16:37

Re: Не устанавливается Dahdi Ubuntu 16.04

Сообщение Unixdifferent » 14 май 2018, 15:16

ded писал(а):
Unixdifferent писал(а):и вообще uname -a
Linux asterisk 4.4.0-124-generic #148-Ubuntu SMP Wed May 2 13:00:18 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
как бы это ядро и есть, что еще может быть?

Вы не умеете пользоваться переводчиком Гугля, и/или не понимаете что он вам говорит.
You do not appear to have the sources for the 4.4.0-124-generic kernel installed. - у вас нет инсталлированных сорцев ядра 4.4.0-124-generic. А ядро как бы есть, да. Разницу понимаете?
Если будете тупить, то вас будут или посылать, или игнорировать.
Техучёбы с рассказом "Как устроен мир Линукс" с картинками не будет.


а разницу не понял про: у вас нет инсталлированных сорцев ядра 4.4.0-124-generic. А ядро как бы есть, да
Спасибо за подсказку теперь буду думать и решать как это исправить спасибо за подсказку в направлении, и не стоит нервничать вот написали про у вас нет инсталлированных сорцев ядра 4.4.0-124-generic. А ядро как бы есть, да, теперь понял куда дальше двигаться СПАСИБО вам большое!
Всем мира и крепкой нервной системы :) еще раз спасибо!
Unixdifferent
 
Сообщений: 4
Зарегистрирован: 12 май 2018, 16:37


Вернуться в Конфигурация и настройка Asterisk

Кто сейчас на форуме

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 6

© 2008 — 2018 Asterisk.ru
Digium, Asterisk and AsteriskNOW are registered trademarks of Digium, Inc.
Design and development by PostMet-Netzwerk GmbH